Write-Verbose "Loading $($MyInvocation.MyCommand.Name)"

$Config = @{}
# TCServer socket connection settings
# 'PORT' - in channels.xml - must be a BytesListener type port
# Adapter's OFS.SOURCE type should be 'TELNET'

$Config.Channel     = "BL.TCS.1"
$Config.ChannelFile = Join-Path $scriptDir "channels.xml"

# T24 UserInfo
$Config.User     = "TCUSER01"
$Config.Password = "YCQAm8MD"
$Config.Company  = ""

# excel customizations
$Config.xlTableStyle = "TableStyleMedium4"
$Config.xlDataRange  = $false
$Config.xlZoom       = 110

# customize handling of generated output files
$Config.Launch     = $true
$Config.GenTxtFile = $false
$Config.RandomFn   = $false
$Config.Keep       = $false
$Config.OutPath    = "$env:temp"
$Config.Editor     = "E:\Tools\jbc\npp\6.1.8\unicode\notepad++.exe"

# XSLT Stylesheet - OFSML -> HTML transformation
$Config.Xsl = Join-Path $scriptDir "ofsml\ofsml13EnqToHtml.xsl"

# general settings
$Config.Encoding = [System.Text.Encoding]::GetEncoding("UTF-8")
$Config.DTfmt    = "dd HH:mm:ss,fff"
$Config.ReceiveTimeout = 60000

# check if UserInfo and Channel parameters were provided in the command line
if (-not $channel) { $channel = $config.Channel }
if (-not ($user -or $password -or $company)) {
    $user     = $Config.User
    $password = $Config.Password
    $company  = $Config.Company
}

# $WarningPreference = "SilentlyContinue"

return $Config

