<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ofs="http://www.temenos.com/T24/OFSML/130">

    <xsl:output method="html" encoding="UTF-8" version="4.01" indent="yes" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>

    <xsl:template match="/">
        <html>
            <body>
                <xsl:apply-templates select="ofs:T24/ofs:serviceResponse"/>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="ofs:serviceResponse">
        <title>
            <xsl:value-of select="ofs:ofsStandardEnquiry/@name"/>
        </title>
        <h3>
            <xsl:value-of select="concat('ENQUIRY: ', ofs:ofsStandardEnquiry/@name)"/>
        </h3>
        <xsl:apply-templates />
    </xsl:template>

    <xsl:template match="ofs:ofsStandardEnquiry">
        <table border="1">
            <tr style="background-color:#9acd32">
                <xsl:for-each select="ofs:enquiryColumn">
                    <th>
                        <xsl:value-of select="@label"/>
                    </th>
                </xsl:for-each>
            </tr>
            <xsl:apply-templates />
        </table>
    </xsl:template>

    <xsl:template match="ofs:enquiryRecord">
        <xsl:for-each select=".">
            <tr>
                <xsl:for-each select="ofs:column">
                    <td>
                        <xsl:choose>
                            <!--  check if current attribute value is empty -->
                            <xsl:when test="normalize-space(.)">
                                <xsl:value-of select="."/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
                            </xsl:otherwise>
                        </xsl:choose>
                    </td>
                </xsl:for-each>
            </tr>
        </xsl:for-each>
    </xsl:template>

</xsl:stylesheet>
